Bug 101096 - "D.M. - HH:MM" is Day.Minute - Hour:Minute
Summary: "D.M. - HH:MM" is Day.Minute - Hour:Minute
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.4.2 release
Hardware: All All
: high normal
Assignee: Laurent BP
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0 target:5.1.5
Keywords: regression
Depends on:
Blocks:
 
Reported: 2016-07-24 14:03 UTC by mrelwood
Modified: 2016-12-04 02:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mrelwood 2016-07-24 14:03:47 UTC
This has changed in LibreOffice 5.1.4.2, since 5.1.3.2 does not have this issue.

I wish to have a cell show the current date and time like this:
24.7. - 08:36

I used to have the cell date formatted as:
D.M. - HH:MM
Which worked fine. But now the cell shows:
24.36. - 08:36

That is "Day.Minute. - Hour:Minute" which makes no sense.

So the interpreted separation between Month and Minute has changed in a way that prevents me to achieve the result I used to. 
_

What makes even less sense is that in Finnish locale, Month (Kuukausi) and Minute (Minuutti) are separate aplhabets. But with the format I wish to use, the K is automatically changed to M.

Because of this issue I am forced to switch back to LO 5.1.3.2.


Bug found in LibreOffice 5.1.4.2 in a 2010 MacBook Pro 15" running OSX 10.11.5.
Comment 1 Markus Mohrhard 2016-07-24 14:50:46 UTC
Most likely a regression from: https://cgit.freedesktop.org/libreoffice/core/commit/svl?h=libreoffice-5-1&id=d31f8efabd895ae0f14ae64e6caf1cfc78bf53a5

If that is a real error it would be a release regression and therefore high prio.
Comment 2 mrelwood 2016-07-24 14:55:35 UTC
I should add that in format
DD.MM.YY - HH:MM
the month and minutes were shown correctly. Removing the YY messed up the month to minutes.
Comment 3 Laurent BP 2016-07-24 21:38:05 UTC
Commit under review
https://gerrit.libreoffice.org/27493/
Comment 4 Commit Notification 2016-07-25 12:42:55 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb94d2fbd9596aca45d915a599caa671a261c2a2

tdf#101096 Improve minute/month disambiguation

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-07-25 13:33:08 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e9eb09d7e052e080a167102bea7eccdef8277c0b&h=libreoffice-5-2

tdf#101096 Improve minute/month disambiguation

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-07-25 14:41:08 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bcf84049c84fe62762efb3794167915b8b39ba33

Revert "tdf#101096 Improve minute/month disambiguation"

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-07-25 14:48:50 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c6e7dbaaa471861dcf76186ed3978ac95f81256e

Resolves: tdf#101096 remove the "H after M" rule

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-07-25 14:50:16 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ee643f62a813680cdc09d557c42ef3062624eb8b&h=libreoffice-5-2

Revert "tdf#101096 Improve minute/month disambiguation"

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-07-25 19:38:48 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=57137b00aebbf93b458c04a67f38f62139ee0e20&h=libreoffice-5-1

Resolves: tdf#101096 remove the "H after M" rule

It will be available in 5.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-07-25 19:41:35 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c79e9046749c094f705234545a10c32279eeef60&h=libreoffice-5-2

Resolves: tdf#101096 remove the "H after M" rule

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2016-07-26 15:22:27 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7409b12200121a5be4f6ae66d3bd575904de3770&h=libreoffice-5-1-5

Resolves: tdf#101096 remove the "H after M" rule

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2016-07-28 14:37:59 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0f3e3f4f0c0cb83d9289d8719982ff740406ceae&h=libreoffice-5-2-0

Resolves: tdf#101096 remove the "H after M" rule

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2016-08-09 19:38:15 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=284c8ce11957f11693e6b5026adc1a564d35e7e9

tdf#101096 tdf#101147 Add qa tests for minute/month detection

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.